Subject: bug#15777: 24.3.50; cl symbols are no more fontlocked

From: Drew Adams <[email-masked]>
Date: Fri, 1 Nov 2013 08:19:58 -0700 (PDT)

> > Hi, symbols from cl package are no more fontlocked, (e.g loop,
> > defun* etc...)
> 
> That's on purpose, because we want to discourage their use.
> Symbols from cl-lib are font-locked.

Misguided, IMHO.  Plenty of people will use Emacs 24.4 (and 25 and
26...) with packages that work also with older versions, and thus
sometimes employ `cl.el' functions (even in addition to `cl-lib.el'
functions).

*Encourage* use of `cl-lib.el' (be positive).  Do not downgrade
Emacs just to make the point that `cl-lib.el' now exists.

Please try to look beyond the snapshot that is the latest nifty
Emacs development to the wider world of Emacs _users_.  There is
no reason to gratuitously make their experience worse.  You gain
nothing by that, and they (and Emacs) lose.